#!/bin/bash

package=libgsf
version=-1.14.18

progname=$0

source ../cascade-make/lib/cascade-lib.bash

prefix=$GEXTGNOME_INSTALLED

export CFLAGS="$CFLAGS -I$GEXTGNOME_INSTALLED/include"
export CPPFLAGS="$CPPFLAGS -I$GEXTGNOME_INSTALLED/include"
export CXXFLAGS="$CXXFLAGS -I$GEXTGNOME_INSTALLED/include"
export LDFLAGS="$LDFLAGS -L$GEXTGNOME_INSTALLED/lib"

opt_run_untar $force_untar $auto_untar $package $version
if [ "$GSDLOS" = "darwin" ] ; then
	opt_run_configure $force_config $auto_config $package $version $prefix
else
	opt_run_configure $force_config $auto_config $package $version $prefix --enable-static --disable-shared
fi

opt_run_make $compile $package $version
opt_run_make $install $package $version "install"
opt_run_make $clean $package $version "clean"
opt_run_make $distclean $package $version "distclean"

opt_run_tarclean $tarclean $package $version